examples.jmarkov

## Class Web

- java.lang.Object
- - jmarkov.MarkovProcess<S,E>
  - - jmarkov.SimpleMarkovProcess<examples.jmarkov.WebState,examples.jmarkov.WebEvent>
    - - examples.jmarkov.Web

- All Implemented Interfaces:
    JMarkovElement

      public class Web
      extends SimpleMarkovProcess<examples.jmarkov.WebState,examples.jmarkov.WebEvent>

  This is an example of a web server that can receive different M types of items and can serve N simultaneous items with a maximum queue capacity of MaxQueue.
  Author:
    Laura Vielma and Leonardo Lozano

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class jmarkov.MarkovProcess

      `MarkovProcess.Status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Web(double[] lambda, double[] mu, int M, double Gamma, int MaxQueue, int N)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `active(examples.jmarkov.WebState i, examples.jmarkov.WebEvent e)` Determines the active events.
    `java.lang.String` | `description()` This method should be implemented by the subclass to give word description of the model.
    `States<examples.jmarkov.WebState>` | `dests(examples.jmarkov.WebState i, examples.jmarkov.WebEvent e)` Determines the destination set of States when events e occurs.
    `static void` | `main(java.lang.String[] a)`
    `double` | `rate(examples.jmarkov.WebState i, examples.jmarkov.WebState j, examples.jmarkov.WebEvent e)` Returns the rate to go from State i to j when Event e occurs.

    - ### Methods inherited from class jmarkov.SimpleMarkovProcess

      `activeTransitions`

    - ### Methods inherited from class jmarkov.MarkovProcess

      `addMOP, allToString, canGo, clearMOPs, debug, debug, debug, denseMatrixToString, denseMatrixToString, eventRatesToString, eventsRatesToString, generate, getDebugLevel, getDebugReporter, getEventClass, getEventNames, getEventRate, getEvents, getEventsRates, getFinalRate, getGenerator, getMaxStates, getMOPIndex, getMOPNames, getMOPNames, getMOPsAvg, getMOPsAvg, getMOPsAvg, getMOPsMoment, getMOPsMoment, getMOPsMoment, getMtjGenerator, getMtjRates, getNumStates, getProgress, getRate, getRates, getRates, getStateClass, getStates, getStates, getStatus, getStatusMsg, getSteadyState, getSteadyStateSolver, getTransientSolver, go, goStep, hideGUI, isGenerated, killGUI, label, loadGUI, MOPsToString, MOPsToString, numMOPs, pause, printAll, printAll, printDenseMatrix, printDenseMatrix, printEventsRates, printEventsRates, printMOPs, printMOPs, printMOPs, printStates, printStates, reset, resetResults, setDebugLevel, setDebugReporter, setMaxStates, setMOPs, setSteadyStateSolver, setTransientSolver, showGUI, statesLableMaxWidth, statesToString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jmarkov.basic.JMarkovElement

      `equals`

- - ### Constructor Detail

    - #### Web

          public Web(double[] lambda,
             double[] mu,
             int M,
             double Gamma,
             int MaxQueue,
             int N)

      Parameters:
        `lambda` -
        `mu` -
        `M` -
        `Gamma` -
        `MaxQueue` -
        `N` -

  - ### Method Detail

    - #### active

          public boolean active(examples.jmarkov.WebState i,
                       examples.jmarkov.WebEvent e)

      Determines the active events.
      Specified by:
        `active` in class `SimpleMarkovProcess<examples.jmarkov.WebState,examples.jmarkov.WebEvent>`
      Parameters:
        `i` - The current State
        `e` - The current Event.
      Returns:
        True if the Event is Active.

    - #### dests

          public States<examples.jmarkov.WebState> dests(examples.jmarkov.WebState i,
                                                examples.jmarkov.WebEvent e)

      Description copied from class: `SimpleMarkovProcess`
      Determines the destination set of States when events e occurs. It has to be implemented by the subclass.
      Specified by:
        `dests` in class `SimpleMarkovProcess<examples.jmarkov.WebState,examples.jmarkov.WebEvent>`
      Parameters:
        `i` - current State.
        `e` - The Event that ocurred.
      Returns:
        The destination States

    - #### rate

          public double rate(examples.jmarkov.WebState i,
                    examples.jmarkov.WebState j,
                    examples.jmarkov.WebEvent e)

      Description copied from class: `SimpleMarkovProcess`
      Returns the rate to go from State i to j when Event e occurs. This is called only if Event `e` is indeed active and j is a valid destination.
      Specified by:
        `rate` in class `SimpleMarkovProcess<examples.jmarkov.WebState,examples.jmarkov.WebEvent>`
      Parameters:
        `i` - Current state
        `j` - Destination State
        `e` - The occuring event
      Returns:
        The rate at which the system goes from i to j when e occurs.
      See Also:
        `SimpleMarkovProcess.dests(State, Event)`

    - #### main

          public static void main(java.lang.String[] a)

      Parameters:
        `a` -

    - #### description

          public java.lang.String description()

      Description copied from class: `MarkovProcess`
      This method should be implemented by the subclass to give word description of the model. For example it should say: Queueing system with 2 servers and exponential arrivals with rate 50 per hour.
      Specified by:
        `description` in interface `JMarkovElement`
      Specified by:
        `description` in class `MarkovProcess<examples.jmarkov.WebState,examples.jmarkov.WebEvent>`
      Returns:
        A description of the Model
      See Also:
        `JMarkovElement.label()`